update entity by id
curl --request PUT \
--url https://api.example.com/api/v1/invite/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expiredAt": 1,
"roles": [
"extractor-user",
"organisation-user"
]
}
'import requests
url = "https://api.example.com/api/v1/invite/{id}"
payload = {
"expiredAt": 1,
"roles": ["extractor-user", "organisation-user"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expiredAt: 1, roles: ['extractor-user', 'organisation-user']})
};
fetch('https://api.example.com/api/v1/invite/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"roles": [
"<string>"
],
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"organisationId": 123,
"expiredAt": 123
}Invite Route
update entity by id
PUT
/
api
/
v1
/
invite
/
{id}
update entity by id
Authorizations
Authentication
Path Parameters
Body
application/json
Response
200 - application/json
OK
Email for which this Invite was generated
Roles for invited user
Minimum array length:
1Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
ID of the tenant
ID of the organisation
Time when this invite will be expired
⌘I